LIVE-HELPER(7)

NAME
live-helper - Debian Live helper programs

SYNOPSIS
lh_* [live-helper options]

DESCRIPTION
Live-helper is a collection of programs that can be used to build Debian Live system images. The philosophy behind live-helper is to provide a collection of small, simple, and easily understood tools that can be used in your own program to automate building of a Live system.

A typical program that uses live-helper will call several live-helper commands in sequence. Live-helper commands are all named with a "lh_" prefix.

LIVE-HELPER COMMANDS
Here is the complete list of available live-helper commands. See their man pages for additional documentation.

lh_binary(1)
    meta-helper for lh_binary_*.

lh_binary_chroot(1)
    copies chroot into chroot.

lh_binary_debian-installer(1)
    copies debian-installer into the binary image.

lh_binary_encryption(1)
    encrypts the root filesystem.

lh_binary_grub(1)
    copies grub into the binary image.

lh_binary_tar(1)
    creates the harddisk binary tarball.

lh_binary_includes(1)
    copies files into the binary image.

lh_binary_iso(1)
    creates the CD/DVD binary image.

lh_binary_linux-image(1)
    copies linux-image into the binary image.

lh_binary_local-includes(1)
    copies local files into the binary image.

lh_binary_manifest(1)
    creates the package list of the root filesystem.

lh_binary_md5sum(1)
    creates md5sum.txt in the binary image.

lh_binary_memtest(1)
    copies a memtest into the binary image.

lh_binary_net(1)
    creates the netboot binary tarball.

lh_binary_rootfs(1)
    creates the root filesystem.

lh_binary_syslinux(1)
    copies syslinux into the binary image.

lh_binary_usb-hdd(1)
    creates the USB-hdd binary image.

lh_binary_yaboot(1)
    copies yaboot into the binary image.

lh_bootstrap(1)
    meta-helper for lh_bootstrap_*.

lh_bootstrap_cdebootstrap(1)
    bootstraps system with cdebootstrap.

lh_bootstrap_debootstrap(1)
    bootstraps system with debootstrap.

lh_build(1)
    meta-helper for lh_bootstrap, lh_chroot, lh_binary and lh_source.

lh_chroot(1)
    meta-helper for lh_chroot_*.

lh_chroot_apt(1)
    configures /etc/apt/apt.conf in chroot.

lh_chroot_debianchroot(1)
    configures /etc/debian_chroot in chroot.

lh_chroot_hacks(1)
    does evil (temporary) hacks in the chroot.

lh_chroot_hooks(1)
    executes additional commands in the chroot.

lh_chroot_hosts(1)
    configures /etc/hosts in the chroot.

lh_chroot_interactive(1)
    makes build interactive.

lh_chroot_linux-image(1)
    configures /etc/kernel-img.conf in the chroot.

lh_chroot_local-hooks(1)
    executes additional local commands in the chroot.

lh_chroot_local-includes(1)
    copies local files into the binary image.

lh_chroot_localization(1)
    installs localization packages in the chroot.

lh_chroot_local-packages(1)
    installs local packages in the chroot.

lh_chroot_local-packageslists(1)
    installs local packages lists in the chroot.

lh_chroot_packages(1)
    installs packages in the chroot.

lh_chroot_packageslists(1)
    installs packages lists in the chroot.

lh_chroot_proc(1)
    mounts /proc in the chroot.

lh_chroot_resolv(1)
    configures /etc/resolv.conf in the chroot.

lh_chroot_sources(1)
    configures /etc/apt/sources.list in the chroot.

lh_chroot_symlinks(1)
    converts symlinks in the chroot.

lh_chroot_sysfs(1)
    mounts /sys in the chroot.

lh_chroot_sysvinit(1)
    minimizes daemon startup in the chroot.

lh_chroot_sysvrc(1)
    installs policy-id hack in the chroot.

lh_chroot_tasks(1)
    installs packages tasks in the chroot.

lh_clean(1)
    cleans up build directory.

lh_config(1)
    creates sample configuration.

lh_losetup(1)
    manages loop device handling

lh_source(1)
    meta-helper for lh_source_*.

lh_source_debian-live(1)
    copies config into source directory.

lh_source_debian(1)
    downloads source packages.

lh_source_iso(1)
    creates CD/DVD source image.

lh_source_net(1)
    creates netboot source tarball.

lh_source_usb-hdd(1)
    creates USB-hdd source image.

lh_testroot(1)
    checks for root privileges.

LIVE-HELPER OPTIONS
The following command line options are supported by all live-helper programs.

--breakpoints
    run with breakpoints

--conffile
    use custom configuration file

--debug
    show debug information

--force
    force helper execution, even if stage file exists.

-h, --help
    display help and exit

--quiet
    be quiet

-u, --usage
    show usage and exit

--verbose
    be verbose

-v, --version
    output version information and exit

SEE ALSO
live-initramfs(7)

live-initscripts(7)

live-webhelper(7)

BUGS
Report bugs against live-helper <http://packages.qa.debian.org/live-helper>.

HOMEPAGE
More information about the Debian Live project can be found at <http://debian-live.alioth.debian.org/> and <http://wiki.debian.org/DebianLive/>.

AUTHOR
live-helper was written by Daniel Baumann <daniel@debian.org> for the Debian project.